Subject: Re: [PATCH 3/3] [POWERPC] Kilauea DTS

From: Josh Boyer <[email-masked]>
Date: Thu, 11 Oct 2007 07:13:39 -0500

On Thu, 2007-10-11 at 14:02 +0200, Stefan Roese wrote:
> On Thursday 11 October 2007, Josh Boyer wrote:
> > On Thu, 2007-10-11 at 10:49 +0200, Stefan Roese wrote:
> > > > > +		PowerPC,405EX@0 {
> > > > > +			device_type = "cpu";
> > > > > +			reg = <0>;
> > > > > +			clock-frequency = <0>; /* Filled in by U-Boot */
> > > >
> > > > Filled in by U-Boot itself?  Or by a cuboot wrapper? (which I can't
> > > > find in the patches.)
> > >
> > > By U-Boot itself. I have a U-Boot patch in the queue to add device tree
> > > support for 4xx. Therefor I don't plan adding a cuboot wrapper for
> > > Kilauea.
> >
> > Very cool!
> 
> You can take a look at the kilauea-405ex branch of my 4xx custodian repository 
> for a latest development snapshort:
> 
> http://www.denx.de/cgi-bin/gitweb.cgi?p=u-boot/u-boot-ppc4xx.git;a=shortlog;h=kilauea-405ex

Ok, so how does the DTS file from the kernel get to U-Boot?  Since there
is no defconfig provided and no wrapper bits, I'm assuming this port
takes a raw uImage.  Is that correct?  If so, do you expect a separate
DTB file to be built for this that is passed to U-Boot?

josh